BEGIN 1xAE25

///////////Join Dialogue

IF~NumTimesTalkedTo(0)~THEN BEGIN AeonToBJoin000
SAY ~Ha! I knew it! I just knew it! Where was I summoned to<DAY_NIGHT>? Middle of Anauroch? Plane of Shadows? Nine Hells? A brothel with all sick courtesans? No matter what the answer is, I knew who called me. Ah, and as I thought, I see your face again. Hello, <CHARNAME>.~
IF~~THEN REPLY ~Hello there, Aeon. I see you are enthusiastic about seeing me again!~ GOTO AeonToBJoin001
IF~~THEN REPLY ~Hi again, friend. You don't seem to be surprised or something.~ GOTO AeonToBJoin001
IF~~THEN REPLY ~Well, I made a mistake. I don't need you.~ GOTO AeonToBJoin002
END

IF~NumTimesTalkedToGT(0)~THEN BEGIN AeonToBJoin00A
SAY ~Ah, it's you again. Do you want me to join? Waiting here is boring, you know. I am sure that I would have much more fun when adventuring with you. So?~
IF~~THEN REPLY ~Alright, Aeon. Join the team.~ GOTO AeonToBJoin006
IF~~THEN REPLY ~No, boy. I don't need you. Stay where you are.~ GOTO AeonToBJoin002
END

IF~~THEN BEGIN AeonToBJoin001
SAY ~Since the day we decided to walk seperated paths, I have had a feeling that soon we will see eachother. Well, I thought that you will look for me a bit earlier, but it doesn't matter, since here I stand again and listen to what you need, <CHARNAME>.~
=
~So? What do you need this time? Are you going to fight against gods and avatars? Your soul was stolen again? A vicious lover hurt you and now you are looking for a vengence?~
IF~~THEN REPLY ~Well, I was attacked by an assassin - Illasera. Some kind of game is about to begin. Isn't it great? (Smile.)~ GOTO AeonToBJoin003
IF~~THEN REPLY ~It doesn't matter. I just missed you. You are so stupid, young and cheerful. I decided to check what are you doing.~ GOTO AeonToBJoin004
IF~~THEN REPLY ~I wanted to make a prank, so I decided that I will summon you to hell and just leave you here. I don't need your help.~ GOTO AeonToBJoin002
END

IF~~THEN BEGIN AeonToBJoin003
SAY ~Yet another game? It's marvelous! It means no boring nights and days! You are as lucky as always! You are like a magnet for assassins, by the way. You shouldn't be surprised that you met another one!~
IF~~THEN GOTO AeonToBJoin005
END

IF~~THEN BEGIN AeonToBJoin004
SAY ~How sweet... but don't think I will blush or something! Ha! I'm not that easy! And don't call me stupid! I am just a bit... less consequent than others!~
IF~~THEN GOTO AeonToBJoin005
END

IF~~THEN BEGIN AeonToBJoin005
SAY ~However, I see we are in hell again. Yes - some terrifying scultptures, wail of condemned souls and the lack of toilet. Indeed, it's hell. I am curious - why you called me, <CHARNAME>? You need a skilled thief again? With the sword Queen gave me after taking back Moonblade's Replica, I can be also useful in a melee fight.~
IF~~THEN REPLY ~Yes, I need you by my side again, Aeon. I have a feeling that I will need a fair thief quite soon. Will you join?~ GOTO AeonToBJoin006
IF~~THEN REPLY ~Whatever. You know that I need your skills. Can we end this talk at last? Just join the formation.~ GOTO AeonToBJoin006
IF~~THEN REPLY ~You know... I don't need you. Just wait somewhere here.~ GOTO AeonToBJoin002
END

IF~~THEN BEGIN AeonToBJoin006
SAY ~Bhaalspawn and Aeon in one team again? ' Face of a devil, with power of ligh again arm by arm do walk. ' Marvelous! Lead then! As you did in the past. Just watch out for mad wizards and furious vampires!~
IF~~THEN DO ~JoinParty()~ EXIT
END

IF~~THEN BEGIN AeonToBJoin002
SAY ~Well, that was a bit insolent, you know. However, I have nothing to do. I will wait here. Maybe you will change your mind.~
IF~~THEN EXIT
END

BEGIN 1xAE25P

/////////After-join dialogues

IF~True()~THEN BEGIN AeonToBAfter000
SAY ~Well, so what is your command for today, <CHARNAME>? Do you want me to wander with you, or do you want me to stay in this place? I'm afraid that staying here alone may be a bit boring....~
IF~~THEN REPLY ~Sorry, but I don't need your services for now. Stay here. I will come back if I will be in need of a thief. Bye!~ GOTO AeonToBAfter001
IF~~THEN REPLY ~I need you in the team. Come. We have work to do!~ GOTO AeonToBAfter002
END

IF~~THEN BEGIN AeonToBAfter001
SAY ~I see. So I am told to sit here and do nothing. I hoped that you wouldn't command me to do that, but as I see - I was wrong. Eh... come for me soon, alright?~
=
~...Please...?~
IF~~THEN EXIT
END

IF~~THEN BEGIN AeonToBAfter002
SAY ~Great! I am glad I can follow you! Come then! Let's crush some heads and pick some locks!~
IF~~THEN DO ~JoinParty()~ EXIT
END